package com.community.huiju.dao;

import com.community.huiju.model.TpHotelImg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
@Mapper
public interface TpHotelImgMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpHotelImg record);

    int insertSelective(TpHotelImg record);

    TpHotelImg selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpHotelImg record);

    int updateByPrimaryKey(TpHotelImg record);


    List<String> selectHotelImg(@Param("hotelId") Integer id, @Param("communityId") Integer communityId,@Param("type") Integer type);
}